Subject: automake 1.13.3 warning about version mismatch

From: Peter Johansson <[email-masked]>
Date: Wed, 03 Jul 2013 09:46:06 +1000

Hi,

This is probably already fixed with the version scheme and everything, 
but wanted to report it just in case. I updated from from automake 1.13 
to 1.13.3 and after having modified an Makefile.am, Automake complained 
about version mismatch. I suspect aclocal.m4 was created with aclocal 
1.13 (?). This is easily resolved by running autoreconf -if, but I found 
it odd that a patch upgrade should cause that minor head ache. 
Especially since I then upgraded to Automake 1.14 and expected the same 
thing to happen, but no - now if I issue 'make' it will happily keep 
running automake-1.13 (which is version 1.13.3 obviously). So in short 
upgrading a patch version cause version mishmash but upgrading a minor 
version is smoother than expected. Is this still the case with 1.14, 2.0 
etc? If so, is it on purpose?

Cheers,
Peter